1. Buildings
Ecoland
  • EcoLand
    • Authentication
      • Sign-In
      • Sign-up
      • Refresh Token
    • User
      • Resources
      • User Information
      • User Information
    • Buildings
      • Building Details
        GET
      • All Buildings
        GET
      • Construct Building
        POST
      • List of Possible Construction
        GET
      • Possible Prudctions of a building
        GET
    • Production
      • Cancel Production
      • Start Production
    • Transportation
      • Shipment
    • Admin
      • user-management
        • Users
  • Schemas
    • EcoLand
      • Storage_Base
      • Production_Base
      • Building_Base
      • Product_Base
      • Construciton_Base
      • Shipment_Base
      • ProductionsInOut_List
      • Productions_Def
      • UserInfo
      • UserResources
    • Error_Responses
      • Insufficent_Money
  1. Buildings

Possible Prudctions of a building

Developing
GET
buildings/productions/{id}
Possible Prudctions of a building

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'buildings/productions/' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
[
    {
        "id": 0,
        "token_name": "string",
        "products_in": [
            {
                "id": 0,
                "token_name": "string",
                "amount": 0
            }
        ],
        "products_out": [
            [
                {
                    "id": 0,
                    "token_name": "string",
                    "amount": 0
                }
            ]
        ],
        "base_duration": 0,
        "cost": 0
    }
]
Modified at 2025-03-09 19:58:14
Previous
List of Possible Construction
Next
Cancel Production
Built with